import { BiName, BiNamesEnum } from './generated';
import { ColorValueHex } from './types';
import * as i0 from "@angular/core";
export declare class BiComponent {
    set name(it: BiName | BiNamesEnum);
    _name: BiName | BiNamesEnum;
    set width(it: string);
    _width: string;
    set height(it: string);
    _height: string;
    set size(it: string);
    _size?: string;
    set color(it: ColorValueHex);
    _color?: ColorValueHex;
    set clearDimensions(it: boolean);
    _clearDimensions: boolean;
    set ariaLabel(it: string);
    _ariaLabel?: string;
    private elementRef;
    private renderer;
    iconLoader: (name: string) => string | import("rxjs").Observable<string | undefined> | undefined;
    setIcon(): void;
    private renderIcon;
    static ɵfac: i0.ɵɵFactoryDeclaration<BiComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BiComponent, "bi, *[bi]", never, { "name": { "alias": "name"; "required": true; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "size": { "alias": "size"; "required": false; }; "color": { "alias": "color"; "required": false; }; "clearDimensions": { "alias": "clearDimensions"; "required": false; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; }; }, {}, never, never, true, never>;
    static ngAcceptInputType_clearDimensions: unknown;
}
